#ifndef AVIFILE_ADPCM_H
#define AVIFILE_ADPCM_H

#include <audiodecoder.h>
#include "adpcm_impl.h"

class ADPCM_Decoder : public IAudioDecoder
{
    adpcm_state state;
public:
    ADPCM_Decoder(const CodecInfo&, const WAVEFORMATEX*);
    size_t GetMinSize();
    int Convert(const void*, size_t, void*, size_t, size_t*, size_t*);
};

#endif // AVIFILE_ADPCM_H
